<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateApprovalRulesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('st_approval_rules', function (Blueprint $table) {
            $table->id();
            $table->string('description', 200)->nullable();
            $table->string('message', 200);
            $table->boolean('is_designation');
            $table->integer('prioraty');
            $table->integer('user_id')->nullable();
            $table->integer('designation_id')->nullable();
            $table->integer('slug_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('approval_rules');
    }
}
